Bug 448563 - Review Request: xorg-x11-drv-suncg14 - X driver for suncg14 hardware
Summary: Review Request: xorg-x11-drv-suncg14 - X driver for suncg14 hardware
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brian Pepple
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-27 17:16 UTC by Dennis Gilmore
Modified: 2008-06-06 21:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-06 21:45:13 UTC
Type: ---
bdpepple: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Dennis Gilmore 2008-05-27 17:16:25 UTC
Spec URL: http://ausil.us/packages/xorg-x11-drv-suncg14.spec
SRPM URL: http://ausil.us/packages/xorg-x11-drv-suncg14-1.1.0-2.fc9.src.rpm
Description: 
X driver for suncg14 hardware

Comment 1 Dennis Gilmore 2008-06-03 23:30:07 UTC
scratch build http://sparc.koji.fedoraproject.org/koji/taskinfo?taskID=58923

Comment 2 Brian Pepple 2008-06-05 00:47:19 UTC
MD5Sum:
9e25784e912cb2f0493b87431fd60773  xf86-video-suncg14-1.1.0.tar.bz2

Good:
* Source URL is canonical
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Buildroot has all required elements
* All paths begin with macros
* All necessary BuildRequires listed.
* Make succeeds even when %{_smp_mflags} is defined
* Files have appropriate permissions and owners

Bad:
* rpmlint produces the following error:
xorg-x11-drv-suncg14.sparc64: W: invalid-license MIT/X11

Looking at the license matrix, it looks like it should just be MIT.  You can fix
this when you import this into CVS.

Note: I don't have the hardware to verify that this driver works, but from a
packaging standpoint this package looks fine.

+1 APPROVE.

Comment 3 Dennis Gilmore 2008-06-06 04:24:24 UTC
Package Name: xorg-x11-drv-suncg14
Short Description: X driver for suncg14
Owners: ausil spot jima pjones
Branches: F-9
InitialCC:
Cvsextras Commits: yes

Comment 4 Dennis Gilmore 2008-06-06 21:45:13 UTC
imported and built  thanks for the review


Note You need to log in before you can comment on or make changes to this bug.